> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除钩子

> 永久移除已安装的钩子。

## 路径参数

<ParamField path="id" type="string" required>
  钩子的 UUID。
</ParamField>

## 响应

```json theme={null}
{ "deleted": true }
```

## 身份验证

需要具有 `completions` 权限范围的 API 密钥。

## 示例

<CodeGroup>
  ```bash curl theme={null}
  curl -X DELETE https://www.hitheo.ai/api/v1/hooks/HOOK_ID \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  await theo.deleteHook("HOOK_ID");
  ```
</CodeGroup>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.